
(*-------------------------------------------------------------------------*)
(* file             : test.mod                                             *)
(* description      : The test resporce of the high pass filter module     *)
(* language         : GPM Modula-2                                         *)
(* organization     : -                                                    *)
(* autor            : Julian Miglio                                        *)
(* issue date       : July 09 2003                                         *)
(* version.release  : 1.1                                                  *)
(* notes            : The program makes a simple square simulation to      *)
(*                    test the respose in the time domine.                 *)
(*                    It generates a CSV Excel file (sim.csv), witch has   *)
(*                    3 fileds:                                            *)
(*                    record index, input signal and output signal.        *)
(*-------------------------------------------------------------------------*)

MODULE Test;

FROM InOut        IMPORT WriteString, WriteLn;
FROM UxFiles      IMPORT Create, Close, File;
FROM Types        IMPORT Int16;
IMPORT TextInOut;
IMPORT H_Filter;

VAR

   Output_File : File;     (* that is the file handle *)
   Opened      : BOOLEAN;  (* that is the opened file result *)
   Closed      : BOOLEAN;  (* that is the closed file result *)
   In_Signal   : Int16;    (* that is the source signal *)
   Out_Signal  : Int16;    (* that is the filtered signal *) 
   Index       : CARDINAL; (* that is the record index *)

BEGIN

   WriteString( "Test of the high pass filer." );
   WriteLn;

   Create( Output_File, "sim.csv", Opened );

   H_Filter.Init( 32 );

   In_Signal := 100; 
   
   FOR Index := 1 TO 500 DO

      IF Index > 200 THEN
         In_Signal := 0;
      END;

      H_Filter.Process_Signal( In_Signal, Out_Signal );

      TextInOut.WriteInt( Output_File, Index, 3 );
      TextInOut.WriteString( Output_File, ";" );

      TextInOut.WriteInt( Output_File, In_Signal, 5 );
      TextInOut.WriteString( Output_File, ";" );

      TextInOut.WriteInt( Output_File, Out_Signal, 5 );
      TextInOut.WriteString( Output_File, ";" );
      TextInOut.WriteLn( Output_File );      

   END;

   Close( Output_File, Closed );

   WriteString( "done." );

END Test.
